# Database Report

## GET /api/v1/database\_report/privacy\_report/

> Get privacy report

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"JobSchema":{"properties":{"id":{"format":"uuid","title":"Id","type":"string"},"engine_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Engine Id"},"type":{"$ref":"#/components/schemas/JobType"},"status":{"$ref":"#/components/schemas/JobStatus"},"created":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Created"},"last_updated":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Last Updated"},"settings":{"anyOf":[{"type":"string"},{"type":"object"},{"type":"null"}],"default":null,"title":"Settings"},"now":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Now"},"attachment_types":{"anyOf":[{"items":{"$ref":"#/components/schemas/JobAttachmentType"},"type":"array"},{"type":"null"}],"default":null,"title":"Attachment Types"}},"required":["id","type","status"],"title":"JobSchema","type":"object"},"JobType":{"enum":["synthesize","fk_scan","pii_scan","subsetting","create_engine","update_engine","update_engine_settings","schema_resolve","sync_target","import_engine","export_engine"],"title":"JobType","type":"string"},"JobStatus":{"enum":["STARTED","IN_PROGRESS","SUCCESS","FAILURE","REVOKED"],"title":"JobStatus","type":"string"},"JobAttachmentType":{"enum":["LOG","PRIVACY_REPORT","IMPORTED_ENGINE"],"title":"JobAttachmentType","type":"string"},"HTTPValidationError":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Code"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"body":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Body"},"durability":{"anyOf":[{"$ref":"#/components/schemas/Durability"},{"type":"null"}],"default":"temporary"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5000,"title":"Duration"},"kind":{"anyOf":[{"$ref":"#/components/schemas/SystemMessageKind"},{"type":"null"}],"default":"info"},"details":{"anyOf":[{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"},{"type":"null"}],"default":null,"title":"Details"},"payload":{"default":null,"title":"Payload"},"action":{"anyOf":[{"type":"object"},{"type":"null"}],"default":null,"title":"Action"},"display":{"anyOf":[{"$ref":"#/components/schemas/Display"},{"type":"null"}],"default":"notification"},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Created At"}},"title":"HTTPValidationError","type":"object"},"Durability":{"enum":["transient","persistent","temporary"],"title":"Durability","type":"string"},"SystemMessageKind":{"enum":["success","error","warning","info"],"title":"SystemMessageKind","type":"string"},"Display":{"enum":["field","screen","notification"],"title":"Display","type":"string"}}},"paths":{"/api/v1/database_report/privacy_report/":{"get":{"operationId":"database_report_privacy_report_retrieve","description":"Get privacy report","parameters":[{"in":"query","name":"database_id","schema":{"type":"string"}},{"in":"query","name":"job_id","schema":{"type":"string"}}],"tags":["Database Report"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobSchema"}}},"description":"Success: Privacy report details"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation error"},"503":{"description":"Message: unable to fetch privacy report from external service"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/database-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
